<div bsModal #add_triple="bs-modal" class="modal fade" tabindex="-1" role="dialog" aria-hidden="true" (onHide)="hideModal()">
	<div class="modal-dialog modal-sm">
		<div class="modal-content">
		  <div class="modal-header">
		    <h2 class="modal-title"> Add a new triple</h2>
		  </div>
		  <div class="modal-body centered">
		  <i>Please first select the subject, then the predicate, and at last the object of the triple you want to add. Don't forget to click on 'OK' after selecting the subject or the predicate, so the suggestions can be updated.</i><br><br>

		  	<pre class="card card-block card-header col-xs-10">Subject of the new triple : {{selected_subject}}</pre>
		  	<div class="col-xs-2">
		  		<button class="btn btn-primary triple" [disabled]="selected_subject == ''" (click)="getPredicateSuggestions();updatePredicateSparqlQuery()">
					OK
				</button>
		  	</div>
		  	<div class="col-xs-10">
		  		<input type="checkbox" [checked]="checkbox_subject" (change)="checkbox_subject = !checkbox_subject" /> Qualifying
		  	</div>
			<input [(ngModel)]="selected_subject"
			       [typeahead]="subjects"
			       [typeaheadMinLength]="0"
			       (keyup)="updateSuggestions()"
			       class="form-control">

			<div class="scrollable">
				<div *ngFor="let sugg of subjects">
					<a (click)="selected_subject=sugg"> {{sugg}}</a>
				</div>
			</div>

			<pre class="card card-block card-header col-xs-10">Predicate of the new triple : {{selected_predicate}}</pre>
			<div class="col-xs-2">
				<button class="btn btn-primary triple" [disabled]="selected_predicate == ''"  (click)="getObjectSuggestions();updateObjectSparqlQuery()">
					OK
				</button>
			</div>
			<div class="col-xs-10">
				<input type="checkbox" [checked]="checkbox_predicate" (change)="checkbox_predicate = !checkbox_predicate" /> Qualifying
			</div>
			<input [(ngModel)]="selected_predicate"
			       [typeahead]="predicates"
			       [typeaheadMinLength]="0"
			       (keyup)="updateSuggestions()"
			       class="form-control">

			<div class="scrollable">
				<div *ngFor="let sugg of predicates">
					<a (click)="selected_predicate=sugg"> {{sugg}}</a>
				</div>
			</div>

			<pre class="card card-block card-header">Object of the new triple : {{selected_object}}</pre>
			<div class="col-xs-10">
				<input type="checkbox" [checked]="checkbox_object" (change)="checkbox_object = !checkbox_object" /> Qualifying
			</div>
			<input [(ngModel)]="selected_object"
			       [typeahead]="objects"
			       [typeaheadMinLength]="0"
			       (keyup)="updateSuggestions()"
			       class="form-control">

			<div class="scrollable">
				<div *ngFor="let sugg of objects">
					<a (click)="selected_object=sugg"> {{sugg}}</a>
				</div>
			</div>

			<div class="submit">
				<div *ngIf="selected_subject != '' && selected_predicate != '' && selected_object != ''">
					You selected {{selected_subject}} - {{selected_predicate}} - {{selected_object}}.
				</div>

				<button type="submit" class="btn btn-primary" [disabled]="selected_subject == '' || selected_predicate == '' || selected_object == ''" (click)="submitTriple()">Add triple</button>
			</div>
			
		  </div>
		</div>
	</div>
</div>